{$H+}
{$C+}
program lsp09;

uses getopts, mtx09;

procedure usage;
const
  help='lsp -d x0,x1,n';
begin
  writeln;
  writeln(help);
  writeln;
  halt
end;

var
  d,x: mtx;

procedure options;
const
  Delim=[' ',',',#9];
var
  c: char;
  optd: string='';
  optstr: string = 'hd:';
begin
  c := getopt(optstr);
  while c<>EndOfOptions do begin
    case c of
      'h': usage;
      'd': optd := optarg;
    end;
    c := getopt(optstr);
  end;
  equ(d,optd);
end;

begin
  options;
  lsp(x,elm(d,1,1),elm(d,1,2),round(elm(d,1,3)));
  mwr(x)
end.
